## org.biojava.stats.svm
Class SigmoidKernel

    java.lang.Object
      org.biojava.stats.svm.SigmoidKernel

All Implemented Interfaces:
  SVMKernel

    public class SigmoidKernel

extends Object
implements SVMKernel

This kernel implements a three layer neural net. This is calculated as: tanh(a*k(x,y)+c)

Author:
  Matthew Pocock

Constructor Summary
`SigmoidKernel()`

Method Summary
`double` `evaluate(Object a, Object b)` Return the dot product of two vectors in an arbitrary feature space.
`double` `getConstant()`
`double` `getMultiplier()`
`SVMKernel` `getWrappedKernel()`
`void` `setConstant(double c)`
`void` `setMultiplier(double m)`
`void` `setWrappedKernel(SVMKernel kernel)`
`double` `tanh(double a)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SigmoidKernel

    public SigmoidKernel()

Method Detail

### evaluate

    public double evaluate(Object a,
                           Object b)

  Description copied from interface: `SVMKernel`
  Return the dot product of two vectors in an arbitrary feature space. In this implementation, the `vectors' can actually be arbitrary objects.

  Specified by:
    `evaluate` in interface `SVMKernel`

### getConstant

    public double getConstant()

### setConstant

    public void setConstant(double c)

### getMultiplier

    public double getMultiplier()

### setMultiplier

    public void setMultiplier(double m)

### getWrappedKernel

    public SVMKernel getWrappedKernel()

### setWrappedKernel

    public void setWrappedKernel(SVMKernel kernel)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### tanh

    public double tanh(double a)